Bug 8827 - Inappropriate spec text and advice where images are not known
Inappropriate spec text and advice where images are not known
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
PC All
: P2 normal
: ---
Assigned To: steve faulkner
HTML WG Bugzilla archive list
http://dev.w3.org/html5/spec/text-lev...
: a11y, a11ytf, a11y_text-alt, CR, TrackerIssue
Depends on: 8171
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-27 11:31 UTC by Joshue O Connor
Modified: 2013-07-23 10:44 UTC (History)
11 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joshue O Connor 2010-01-27 11:31:24 UTC
The spec state:

<q>
"In some unfortunate cases, there might be no alternative text available at all," 
</q>

The use of the word 'unfortunate' is inappropriate. The issue being outline is merely and edge case, and should not be defined using such language as 'unfortunate' - as that has other connotations regarding disability that should not be inferred. More neutral and objective language should be used in a technical specification.

<q>
either because the image is obtained in some automated fashion without any associated alternative text (e.g. a Webcam), or because the page is being generated by a script using user-provided images where the user did not provide suitable or usable alternative text (e.g. photograph sharing sites), 
</q>

These examples are fine in terms of defining the edge cases, however:

<q>
or because the author does not himself know what the images represent (e.g. a blind photographer sharing an image on his blog).
</q>

This last example is misleading. A blind photographer /will/ know the context within which pictures are taken, and therefore will be able to provide a suitable alternate description (contrary to what the spec text currently states). For example, if taking pictures in front of the Eiffel Tower, this can be added to the alternate description to provide context. If in Angkor Wat, he could take photos in various parts and describe them (@alt="Devatas are characteristic of the Angkor Wat style." or @alt="The bas-relief of the Churning of the Sea of Milk shows Vishnu in the centre etc") So I would like this example removed. It is inappropriate.


Note: Such cases are to be kept to an absolute minimum. If there is even the slightest possibility of the author having the ability to provide real alternative text, then it would not be acceptable to omit the alt attribute.

+1
Comment 1 Joshue O Connor 2010-01-27 14:57:38 UTC
[On behalf of Laura Carlson]

If an image content is "unknown" a solution is to use WAI CG's
recommendation and create a missing attribute. See the Recommendations
regarding auto-generated alternative text: [1]

"We have reached the following consensus concerning "automatically
generated" alternative text:

In order to address both the validity and human generation concerns,
we do not oppose the creation of 'autogenerated' and 'missing'
attributes where either one of these could be used to make an image
that does not have any human-generated text alternatives valid. (Note:
It is important that this marker is not included in the alternative
text string itself.)"


[1] http://www.w3.org/2009/06/Text-Alternatives-in-HTML5
Comment 2 Laura Carlson 2010-01-27 15:13:44 UTC
Creating a "missing" attribute as WAI CG describes allows "images whose contents are not known" to be labeled as such. 

It enables tools to quickly discern where text alternatives are needed and allows for future improvement. It provides a practical method of detection and handling.
Comment 4 Laura Carlson 2010-02-03 18:14:10 UTC
In addition to:

1. Missing Attribute
http://esw.w3.org/topic/HTML/IssueAltAttribute#head-f4e39e6e81be7123732ceaef022193f55c4f028a

and

2. Generated Attribute
http://esw.w3.org/topic/HTML/IssueAltAttribute#head-e0b0783f26ab5503df26b2340dad6b6c4a4ec852

Please refer to the "Addressing Business Needs" section of the "Replace img guidance for conformance checkers" Change Proposal [1]. This bug is part of a larger issue that should be considered comprehensively.

Thank you.

[1] http://esw.w3.org/topic/HTML/ChangeProposals/ImgElement20090126

This is associated with HTML TRACKER ISSUE-31
http://www.w3.org/html/wg/tracker/issues/31

The full issue and is detailed at:
Omitting Short Text Alternatives on <img>
http://esw.w3.org/topic/HTML/IssueAltAttribute

Comment 5 Ian 'Hixie' Hickson 2010-02-14 10:12:07 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: no spec change
Rationale:

> The spec state:
> 
> <q>
> "In some unfortunate cases, there might be no alternative text available at
> all," 
> </q>
> 
> The use of the word 'unfortunate' is inappropriate. The issue being outline is
> merely and edge case, and should not be defined using such language as
> 'unfortunate' - as that has other connotations regarding disability that should
> not be inferred. More neutral and objective language should be used in a
> technical specification.

I disagree. This is author-facing text, and it's critical that we repeatedly convey that not having alternative text is bad. Using the word "unfortunate" here is a good way of doing this subtly.


> <q>
> or because the author does not himself know what the images represent (e.g. a
> blind photographer sharing an image on his blog).
> </q>
> 
> This last example is misleading. A blind photographer /will/ know the context
> within which pictures are taken, and therefore will be able to provide a
> suitable alternate description (contrary to what the spec text currently
> states).

This example is actually taken from a blind accessibility expert. See section 1.4 of:

   http://lists.w3.org/Archives/Public/public-html/2008Aug/att-0829/image-alt.html


Comments 1-4 appear to be about a different issue, so I haven't replied to them here. Please keep each issue to its own bug. Thanks!
Comment 6 Michael Cooper 2010-09-14 15:56:27 UTC
Bug triage sub-team thinks this bug is one of several related to ISSUE-31 http://www.w3.org/html/wg/tracker/issues/31. Adding the TrackerIssue keyword just to formalize this relationship. It's already back-referenced from that issue.
Comment 7 steve faulkner 2013-07-23 10:44:08 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: updated section
http://www.w3.org/html/wg/drafts/html/master/embedded-content-0.html#when-a-text-alternative-is-not-available-at-the-time-of-publication
Rationale: agreed with commenter Comment 1